Bug 475037 - Review Request: stardict-dic-hi - Hindi Dictionary for stardict
Review Request: stardict-dic-hi - Hindi Dictionary for stardict
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 16:23 EST by Rakesh Pandit
Modified: 2009-03-09 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.1-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 10:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-12-06 16:23:05 EST
Description:
Hindi Dictionary for stardict.

SRPM: http://rakesh.fedorapeople.org/srpm/stardict-dic-hi-3.0.1-1.fc10.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/stardict-dic-hi.spec

Original work is by Sriram Chaudhry. He has converted original shabdanjali dictionary to what it is at http://rakesh.fedorapeople.org/misc/shabdanjali-fedora.tar.gz

I had been in touch with him, and he will be requesting to keep this tarball at http://ltrc.iiit.net/showfile.php?filename=downloads/shabdanjali-stardict/index.html But that would be a long process. To cut short I would host his work to start this review process quickly and will update later on in case he gets hosting on iiit site.
Comment 1 Rakesh Pandit 2008-12-07 22:35:49 EST
Will check with possibilities to resolve authentic source issue and update shortly.
Comment 2 Rakesh Pandit 2009-01-08 14:07:52 EST
I had a detailed conversation with author and he an emplyee at an Institute which has a very long and tiring process of updating the site hosting the source file. The link to that page is:

http://ltrc.iiit.net/showfile.php?filename=downloads/shabdanjali-stardict/index.html

The source there contains a binary rpm which I have removed using a shell script and re-compressed the resulting stuff and included into package. The normal process of removing it will be too long, so this workaround.

SPEC: http://rakesh.fedorapeople.org/spec/stardict-dic-hi.spec
SRPM: http://rakesh.fedorapeople.org/srpm/stardict-dic-hi-3.0.1-2.fc10.src.rpm
Comment 3 Parag AN(पराग) 2009-01-30 03:40:56 EST
how can I use generate-tarball.sh? Provide usage and add same in SPEC file.
Comment 5 Parag AN(पराग) 2009-01-30 04:53:46 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1093215
+ rpmlint is silent for SRPM and for RPM.
- packaged source file will does not match generated source as md5sum always changes whenever we generate tarball from upstream source.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:
1) preserve timestamps in cp command using "cp -p"

APPROVED.
Comment 6 Rakesh Pandit 2009-01-30 06:24:27 EST
Updated:
http://rakesh.fedorapeople.org/spec/stardict-dic-hi.spec
http://rakesh.fedorapeople.org/srpm/stardict-dic-hi-3.0.1-4.fc10.src.rpm

Thanks for review.

New Package CVS Request
=======================
Package Name: stardict-dic-hi
Short Description: Hindi Dictionary for stardict
Owners: rakesh
Branches: F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2009-02-01 14:04:32 EST
cvs done.
Comment 8 Fedora Update System 2009-03-09 18:49:45 EDT
stardict-dic-hi-3.0.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-03-09 18:59:28 EDT
stardict-dic-hi-3.0.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.